//----------------------------------------------------------------------------//
//            FiveOS2: the CA-Clipper for IBM-OS2 library !!!!!!!!!!          //
//----------------------------------------------------------------------------//

// This is a demo of FiveOS2 - the CA-Clipper for IBM-OS2 library
// Here we are using a standard OS2 dialog box to review an indexed DBF !!!

// We are already implementing all the Class Hierachies and commands that
// we have designed in our FiveWin: the CA-Clipper for Windows library !!!

// After summer, our multiplatform system will be ready:

// Five - the complete multiplatform development system for
// the standard bussiness applications compiler CA-Clipper 5:

// * FiveWin 1.6 --> already available!!! for Microsoft Windows
// * FiveOS2 1.0 --> soon available for beta-testing. IBM-OS2
// * FiveDos 2.0 --> already available!!! for beta-testing. Ms-DOS

// FiveWin is distributed as shareware, as also the other products will
// be distributed in the same way. The same source code: three different
// platforms !!! Look at your favorite and nearest BBS to get a full
// operate version of FiveWin: the CA-Clipper for Windows library.

// For more information, please contact:

// Antonio Linares Software
// Urb. El Rosario - Avd. Rosario 34-A
// 29600 Marbella - SPAIN
// phone/fax: 34 - 5 - 2834830
// BBS: 34 - 5 - 2213374
// CIS: 100114,1776
// FidoNet: 2:345/201.21

#include "FiveOS2.ch"

#define CLIENTS  1

static oDlg

//----------------------------------------------------------------------------//

function Main()

   local cFirst, cLast
   local oFirst, oLast
   local bRefresh := { || cFirst := Customer->First,;
                          cLast  := Customer->Last,;
                          oFirst:Refresh(), oLast:Refresh() }

   USE Customer
   INDEX ON Customer->Last TO CustLast
   SET INDEX TO CustLast

   cFirst = Customer->First
   cLast  = Customer->Last

   oDlg = TDialog():ReDefine( CLIENTS )    // Create a Dialog from resources

   oFirst = TGet():ReDefine( 110, oDlg, bSETGET( cFirst ) )
   oLast  = TGet():ReDefine( 120, oDlg, bSETGET( cLast ) )

   TButton():ReDefine( 170, oDlg, { || DbGoTop(), Eval( bRefresh ) } )

   TButton():ReDefine( 180, oDlg,{ || DbSkip( -1 ),;
                 If( BoF(), ( MsgInfo( "Begining of file!", "Atention" ),;
                 DbGoTop() ), Eval( bRefresh ) ) } )

   TButton():ReDefine( 190, oDlg, { || DbSkip(),;
                 If( EoF(), ( MsgInfo( "End of file!", "Atention" ),;
                 DbGoBottom() ), Eval( bRefresh ) ) } )

   TButton():ReDefine( 200, oDlg, { || DbGoBottom(), Eval( bRefresh ) } )

   TButton():ReDefine( 2, oDlg, { || If( MsgYesNo( "Do you want to end ?",;
                       "Please, select" ), oDlg:End(),) } )

   oDlg:Activate()

   USE

return nil

//----------------------------------------------------------------------------//
